var windowId,proName = window.location.pathname.split("/")[1],sysUrl = "http://"+window.location.host+"/"+proName,toEdit;
var machineid = $.getUrlParam("machineid");
$(function(){
	initDefault();	
});
//默认
function initDefault(){
	
	
	initGrid();
}
//查询条件
function getQueryParams(){
	var sParam = {};	
	
	sParam.machineid = machineid;
	sParam.LIKEcpumodel = $('#LIKEcpumodel').textbox("getValue");
	sParam.LIKEcpucoresnum = $('#LIKEcpucoresnum').textbox("getValue");
	
	sParam.order = "order by createTime desc ";
	
	return sParam;
}
//加载列表
function initGrid(){	
	var toolbar = [
	/*{
    	text    :	'刷新',
        iconCls : 	'icon-refresh',
        handler : 	function(){location.reload(true);}
    },*/{
    	text	:	'查询',
        iconCls	:	'icon-search',
        handler	:	doSearch
    },{
        text	:	'增加',
        iconCls	:	'icon-add',
        handler	:	doAdd
    },{
        text	:	'修改',
        iconCls	:	'icon-cut',
        handler	:	doEdit
    },{
        text	:	'删除',
        iconCls	:	'icon-delete',
        handler	:	doDelete_batch
    }/*,{
        text	:	'启用',
        iconCls	:	'icon-start',
        handler	:	switchOpen
    },{
        text	:	'停止',
        iconCls	:	'icon-end',
        handler	:	switchClose
    }*/];
	$('#tableGrid').datagrid({
		toolbar : toolbar,
		singleSelect:false,
		rownumbers:true,
		queryParams:getQueryParams(),
		url : 'ywmachinecpuAction!listYwmachinecpuByPage.do',
		columns : [[
		    {
				field: 'A',
				checkbox:'true',
				width:30
			},
		    {field:'cpuid',title:'cpuid',hidden:true,width:120, 
				formatter:function showClick(value,record,num){ 
					return "<a  href='javascript:void(0);' class='ahref' onclick='doUpdate("+num+")'>"+value+"</a>";
				}
 			},
			
			{field:'cpumodel',title:'cpu型号',hidden:false,width:140},
			{field:'cpucoresnum',title:'内核数量',hidden:false,width:100},
			{field:'alarmupperlevel',title:'报警上水位(%)',hidden:false,width:120},
			{field:'alarmunderlevel',title:'报警下水位(%)',hidden:false,width:120},			
			{field:'currentusage',title:'当前使用率(%)',hidden:true,width:120},
			{field:'csmc',title:'是否启用',hidden:true,width:120},
			{field:'currentusageuptime',title:'状态上报时间',hidden:true,width:120},			
			{field:'detectionstarttime',title:'检测开始时间',hidden:true,width:120},
			{field:'remarks',title:'备注',hidden:true,width:122}
		]]
	});
}
//删除
function doDelete(){
	var selRows = $('#tableGrid').datagrid('getSelected'); 
	if(!selRows){
		$.showMsg('请先选择记录! ');
		return;
	}
	top.$.dlg.confirm('确认删除?',function(){
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywmachinecpuAction!delete_Ywmachinecpu.do',
			data:{
				cpuid	:	selRows.cpuid

			},
			success:function(flag){
				if(flag == "success"){
					$.showMsg("操作成功！");
					doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	});
}
//批量删除
function doDelete_batch(){
	var selRows = $('#tableGrid').datagrid('getChecked'); 
	var keyword = [];
	 if(selRows===null){
		$.showMsg('请先选择一行! ');
		 return;
	 }else{
		for(var i=0; i<selRows.length; i++){
			keyword.push(selRows[i].cpuid);
		}
		top.$.dlg.confirm('你确认要删除吗?',function(){ 
		    $.ajax({
				 type:'post',
				 dataType : 'json',
				 url:'ywmachinecpuAction!batch_delete_Ywmachinecpu.do',
				 data:{keyword	:	keyword.join(",")},
				 success:function(flag){
				 	if(flag == "success"){
						$.showMsg("操作成功！");
					 	doSearch();
					}else{
						$.showMsg("操作失败！");
					}
				}
			 });
		}); 
	}
}
//查询
function doSearch(){	
	$('#tableGrid').datagrid('load',getQueryParams());
}
//增加
function doAdd(){
	toEdit=false;
	windowId = top.$.createWin({
		title	: 	'增加信息',
		width	:  	650,
		height	: 	400,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/machinemanage/machinecpu/ywmachinecpu_show.jsp"
	 });
}
//修改
function doUpdate(index){
	toEdit=true;
	var selRows = $('#tableGrid').datagrid('getRows')[index];
	windowId = top.$.createWin({
		title	: 	'修改信息',
		width	:  	650,
		height	: 	400,
		data   	:   selRows,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/machinemanage/machinecpu/ywmachinecpu_show.jsp"
	});
}
//保存
function saveNodeInfo(){
	var win		=	$.getTopWindowById(windowId);
	var jq		=	win.$;
	var model   =   $.getFormValues("childform",windowId);
	console.log(model);
	if(!win.$('#childform').form('enableValidation').form('validate')){
      return;
	}
	model.remarks = jq("#remarks").val();
	if(toEdit){//修改
		model.XGTJcpuid = jq('#cpuid').val();

		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywmachinecpuAction!update_Ywmachinecpu.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}else{
		//model.checkparam = " and xh='"+model.xh+"' ";
		model.machineid = machineid;
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywmachinecpuAction!insert_Ywmachinecpu.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}
}
//打开修改
function doEdit(){
	var selIndex = $('#tableGrid').datagrid('getRowIndex', $("#tableGrid").datagrid('getSelected'))
	var selRows = $('#tableGrid').datagrid('getChecked'); 
	if(selRows.length > 1){
		$.showMsg('请先选择一行! ');
		 return;
	}
	if(selIndex==-1){
		$.showMsg('请先选择一行! ');
		 return;
	}else{
		doUpdate(selIndex);
	}		
}
//模板下载
function doTemplate(){
	var baseUrl = $.proPath();
	var downFile = baseUrl+"/down/down.xls";
	window.location.href= downFile;
}
//导入
function doImport(){
	toEdit=false;
	windowId = top.$.createWin({
		 id		:	$.uniqueId(),
		 title	: 	'导入',
		 width	:  	400,
		 height	: 	130,
		 url	:	sysUrl+"/im/xx/ywmachinecpu_imp.jsp"
	 });
}
//导出
function doExport(){
	var model = getQueryParams();
	$.ajax({
		type : 'post',
		dataType : 'json',
		data : model,
		url : 'ywmachinecpuAction!count_Ywmachinecpu.do',
		success : function(value) {
			if(!$.isNull(value)){
				countExport(value);
			}else{
				$.showMsg("操作失败！");
			}
		}
	});
}
// 导出传参条件
function countExport(totalSize) {
	var limit = 5000;
	if (totalSize > 5000) {
		top.$.dlg.confirm('记录过多支持前5000条,确定要将记录导出Excel为表格吗?',function(){ 
			execExport();
		});		
	} else {
		top.$.dlg.confirm('确认导出?',function(){ 
			execExport();
		})
	}
}
// 调用后台
function execExport() {
	var model = getQueryParams();
	var downParam = "";
	document.excelForm.action = 'ywmachinecpuAction!exp_Ywmachinecpu.do?'+downParam;
	document.excelForm.submit(); 
}

function switchOpen(){
	var selRows = $('#tableGrid').datagrid('getChecked');
	var ids = '';
	if(selRows===null){
		$.showMsg('请先选择一行! ');
		return;
	}else{
		selRows.forEach(function(item){
			ids += item.cpuid+',';
		})
	    $.ajax({
			 type:'post',
			 dataType : 'json',
			 url:'ywmachinecpuAction!edit_Ywmachinecpu.do',
			 data:{'ids':ids,'detectionswitch':1},
			 success:function(res){
			 	if(res=="success"){
					$.showMsg("操作成功！");
				 	doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		 });
	}
}

function switchClose(){
	var selRows = $('#tableGrid').datagrid('getChecked');
	var ids = '';
	if(selRows===null){
		$.showMsg('请先选择一行! ');
		return;
	}else{
		selRows.forEach(function(item){
			ids += item.cpuid+',';
		})
	    $.ajax({
			 type:'post',
			 dataType : 'json',
			 url:'ywmachinecpuAction!edit_Ywmachinecpu.do',
			 data:{'ids':ids,'detectionswitch':0},
			 success:function(res){
			 	if(res=="success"){
					$.showMsg("操作成功！");
				 	doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		 });
	}
}